<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetSetupPages Method (IEdmTaskProperties)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskProperties Interface : SetSetupPages Method (IEdmTaskProperties)

Visual Basic
C#
C++/CLI

poPages
  Array of EdmTaskSetupPage structures; one structure for each setup page

Adds setup pages to the task property dialog box for this task definition.

# Syntax

Visual Basic |
--- | ---

    Sub SetSetupPages( _
       ByVal poPages() As EdmTaskSetupPage _
    )

C# |
--- | ---

    void SetSetupPages(
       EdmTaskSetupPage[] poPages
    )

C++/CLI |
--- | ---

    void SetSetupPages(
    &   array<EdmTaskSetupPage>^ poPages
    )

#### Parameters

poPages
  Array of EdmTaskSetupPage structures; one structure for each setup page

# Example

Create a Task that Finds Files in Workflow States (VB.NET)
Create a Task that Finds Files in Workflow States (C#)

# Remarks

Call this method during the processing of the EdmCmdData.EdmCmd_TaskSetup hook. The setup pages display when the task is double-clicked in the administration tool.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskProperties Interface
IEdmTaskProperties Members

# Availability

SOLIDWORKS PDM Professional 2010